sc::NCResult< T > Class Template Reference

This is similar to Result, but can be used with non-class types. More...

`#include <comptmpl.h>`

Inheritance diagram for sc::NCResult< T >:
[legend]
Collaboration diagram for sc::NCResult< T >:
[legend]

## Public Member Functions

| NCResult (Compute *c)
| NCResult (const NCResult< T > &r, Compute *c)
| operator T & ()
T & | result ()
T & | result_noupdate ()
const T & | result_noupdate () const
void | operator= (const T &a)
void | operator= (const NCResult< T > &r)
Public Member Functions inherited from sc::ResultInfo
| ResultInfo (Compute *c)
int & | compute ()
const int & | compute () const
int | compute (int c)
int & | computed ()
const int & | computed () const
virtual int | needed () const

## Additional Inherited Members

Protected Member Functions inherited from sc::ResultInfo
virtual void | update ()
| ResultInfo (StateIn &, Compute *)
| ResultInfo (const ResultInfo &, Compute *)
virtual void | save_data_state (StateOut &)
virtual void | restore_state (StateIn &)
ResultInfo & | operator= (const ResultInfo &)
Protected Attributes inherited from sc::ResultInfo
int | _compute
int | _computed
Compute * | _c

## Detailed Description

### template<class T>
class sc::NCResult< T >

This is similar to Result, but can be used with non-class types.

The documentation for this class was generated from the following file:

- comptmpl.h